openSUSE Security Update : Mozilla Thunderbird (openSUSE-2018-313)

critical Nessus Plugin ID 108636
New! Plugin Severity Now Using CVSS v3

The calculated severity for Plugins has been updated to use CVSS v3 by default. Plugins that do not have a CVSS v3 score will fall back to CVSS v2 for calculating severity. Severity display preferences can be toggled in the settings dropdown.

Synopsis

The remote openSUSE host is missing a security update.

Description

This update for Mozilla Thunderbird to version 52.7 fixes multiple issues. The following bugs were fixed :

- Searching message bodies of messages in local folders, including filter and quick filter operations, did not find content in message attachments

- Better error handling for Yahoo accounts The following security fixes are included as part of the mozilla platform. In general, these flaws cannot be exploited through email in Thunderbird because scripting is disabled when reading mail, but are potentially risks in browser or browser-like contexts (MFSA 2018-09, bsc#1085130, bsc#1085671) :

- CVE-2018-5127: Buffer overflow manipulating SVG animatedPathSegList

- CVE-2018-5129: Out-of-bounds write with malformed IPC messages

- CVE-2018-5144: Integer overflow during Unicode conversion

- CVE-2018-5146: Out of bounds memory write in libvorbis

- CVE-2018-5125: Memory safety bugs fixed in Thunderbird 52.7

- CVE-2018-5145: Memory safety bugs fixed in Thunderbird 52.7

Solution

Update the affected Mozilla Thunderbird packages.

See Also

https://bugzilla.opensuse.org/show_bug.cgi?id=1085130

https://bugzilla.opensuse.org/show_bug.cgi?id=1085671

Plugin Details

Severity: Critical

ID: 108636

File Name: openSUSE-2018-313.nasl

Version: 1.7

Type: local

Agent: unix

Published: 3/27/2018

Updated: 1/19/2021

Dependencies: ssh_get_info.nasl

Risk Information

VPR

Risk Factor: Medium

Score: 6

CVSS v2

Risk Factor: High

Base Score: 7.5

Vector: AV:N/AC:L/Au:N/C:P/I:P/A:P

CVSS v3

Risk Factor: Critical

Base Score: 9.8

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H

Vulnerability Information

CPE: p-cpe:/a:novell:opensuse:MozillaThunderbird, p-cpe:/a:novell:opensuse:MozillaThunderbird-buildsymbols, p-cpe:/a:novell:opensuse:MozillaThunderbird-debuginfo, p-cpe:/a:novell:opensuse:MozillaThunderbird-debugsource, p-cpe:/a:novell:opensuse:MozillaThunderbird-devel, p-cpe:/a:novell:opensuse:MozillaThunderbird-translations-common, p-cpe:/a:novell:opensuse:MozillaThunderbird-translations-other, cpe:/o:novell:opensuse:42.3

Required KB Items: Host/local_checks_enabled, Host/SuSE/release, Host/SuSE/rpm-list, Host/cpu

Patch Publication Date: 3/26/2018

Reference Information

CVE: CVE-2018-5125, CVE-2018-5127, CVE-2018-5129, CVE-2018-5144, CVE-2018-5145, CVE-2018-5146